<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::simulator Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="namespaces.html"><span>Namespace&#160;List</span></a></li>
      <li><a href="namespacemembers.html"><span>Namespace&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('namespaceflair_1_1simulator.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">flair::simulator Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Simulator classes  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1simulator_1_1_blade.html">Blade</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1simulator_1_1_castle.html">Castle</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1simulator_1_1_discrete_time_variable.html">DiscreteTimeVariable</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1simulator_1_1_fixed_camera.html">FixedCamera</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1simulator_1_1_gui.html">Gui</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1simulator_1_1_man.html">Man</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1simulator_1_1_mesh_scene_node.html">MeshSceneNode</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1simulator_1_1_model.html">Model</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1simulator_1_1_parser.html">Parser</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1simulator_1_1_simulator.html">Simulator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1simulator_1_1_visualization_camera.html">VisualizationCamera</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1simulator_1_1_x4.html">X4</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1simulator_1_1_x8.html">X8</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae9e80df7cec26d47485e223706ad9ba0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1simulator_1_1_gui.html">Gui</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1simulator.html#ae9e80df7cec26d47485e223706ad9ba0">getGui</a> (void)</td></tr>
<tr class="memdesc:ae9e80df7cec26d47485e223706ad9ba0"><td class="mdescLeft">&#160;</td><td class="mdescRight">get <a class="el" href="classflair_1_1simulator_1_1_gui.html">Gui</a>  <a href="#ae9e80df7cec26d47485e223706ad9ba0">More...</a><br /></td></tr>
<tr class="separator:ae9e80df7cec26d47485e223706ad9ba0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1542beb63c97de9ee352a70d5519464"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af1542beb63c97de9ee352a70d5519464"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>noGui</b> (void)</td></tr>
<tr class="separator:af1542beb63c97de9ee352a70d5519464"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9674320d42ccd0c205b568fbdf1614f8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9674320d42ccd0c205b568fbdf1614f8"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>isGlExtensionSupported</b> (const std::string &amp;ext)</td></tr>
<tr class="separator:a9674320d42ccd0c205b568fbdf1614f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b5518c4b0b9860b7fe83b9517941b67"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1simulator.html#a1b5518c4b0b9860b7fe83b9517941b67">ToIrrlichtScale</a> (float value)</td></tr>
<tr class="memdesc:a1b5518c4b0b9860b7fe83b9517941b67"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to irrlicht scale.  <a href="#a1b5518c4b0b9860b7fe83b9517941b67">More...</a><br /></td></tr>
<tr class="separator:a1b5518c4b0b9860b7fe83b9517941b67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6df2a9fa0f507ed531a2101341afaabb"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1simulator.html#a6df2a9fa0f507ed531a2101341afaabb">ToSimulatorScale</a> (float value)</td></tr>
<tr class="memdesc:a6df2a9fa0f507ed531a2101341afaabb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to simulator scale.  <a href="#a6df2a9fa0f507ed531a2101341afaabb">More...</a><br /></td></tr>
<tr class="separator:a6df2a9fa0f507ed531a2101341afaabb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9600e49e9243bb6eff5f12fc87589070"><td class="memItemLeft" align="right" valign="top">irr::core::vector3df&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1simulator.html#a9600e49e9243bb6eff5f12fc87589070">ToIrrlichtCoordinates</a> (irr::core::vector3df vect)</td></tr>
<tr class="memdesc:a9600e49e9243bb6eff5f12fc87589070"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to irrlicht coordinates.  <a href="#a9600e49e9243bb6eff5f12fc87589070">More...</a><br /></td></tr>
<tr class="separator:a9600e49e9243bb6eff5f12fc87589070"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad951195fb04b21b2367f37b3699afa51"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:ad951195fb04b21b2367f37b3699afa51"><td class="memTemplItemLeft" align="right" valign="top">irr::core::vector3df&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1simulator.html#ad951195fb04b21b2367f37b3699afa51">ToIrrlichtCoordinates</a> (<a class="el" href="classflair_1_1core_1_1_vector3_d.html">core::Vector3D</a>&lt; T &gt; vect)</td></tr>
<tr class="memdesc:ad951195fb04b21b2367f37b3699afa51"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to irrlicht coordinates.  <a href="#ad951195fb04b21b2367f37b3699afa51">More...</a><br /></td></tr>
<tr class="separator:ad951195fb04b21b2367f37b3699afa51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae51687a32b0d25175f0c849f1bf84db1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">core::Vector3Df</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1simulator.html#ae51687a32b0d25175f0c849f1bf84db1">ToSimulatorCoordinates</a> (irr::core::vector3df vect)</td></tr>
<tr class="memdesc:ae51687a32b0d25175f0c849f1bf84db1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to simulator coordinates.  <a href="#ae51687a32b0d25175f0c849f1bf84db1">More...</a><br /></td></tr>
<tr class="separator:ae51687a32b0d25175f0c849f1bf84db1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaa0173b3c906e2841e92a151e5219e3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_quaternion.html">core::Quaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1simulator.html#afaa0173b3c906e2841e92a151e5219e3">ToIrrlichtOrientation</a> (<a class="el" href="classflair_1_1core_1_1_quaternion.html">core::Quaternion</a> quat)</td></tr>
<tr class="memdesc:afaa0173b3c906e2841e92a151e5219e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to irrlicht orientation.  <a href="#afaa0173b3c906e2841e92a151e5219e3">More...</a><br /></td></tr>
<tr class="separator:afaa0173b3c906e2841e92a151e5219e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9739213d82cf7ff924a6ef218490c564"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1simulator_1_1_simulator.html">Simulator</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceflair_1_1simulator.html#a9739213d82cf7ff924a6ef218490c564">getSimulator</a> (void)</td></tr>
<tr class="memdesc:a9739213d82cf7ff924a6ef218490c564"><td class="mdescLeft">&#160;</td><td class="mdescRight">get <a class="el" href="classflair_1_1simulator_1_1_simulator.html">Simulator</a>  <a href="#a9739213d82cf7ff924a6ef218490c564">More...</a><br /></td></tr>
<tr class="separator:a9739213d82cf7ff924a6ef218490c564"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Simulator classes </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ae9e80df7cec26d47485e223706ad9ba0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1simulator_1_1_gui.html">Gui</a>* flair::simulator::getGui </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>get <a class="el" href="classflair_1_1simulator_1_1_gui.html">Gui</a> </p>
<dl class="section return"><dt>Returns</dt><dd>the <a class="el" href="classflair_1_1simulator_1_1_gui.html">Gui</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a1b5518c4b0b9860b7fe83b9517941b67"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float flair::simulator::ToIrrlichtScale </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert to irrlicht scale. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value in simulator scale</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>value in irrlicht scale </dd></dl>

</div>
</div>
<a class="anchor" id="a6df2a9fa0f507ed531a2101341afaabb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float flair::simulator::ToSimulatorScale </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert to simulator scale. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value in irrlicht scale</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>value in simulator scale </dd></dl>

</div>
</div>
<a class="anchor" id="a9600e49e9243bb6eff5f12fc87589070"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">irr::core::vector3df flair::simulator::ToIrrlichtCoordinates </td>
          <td>(</td>
          <td class="paramtype">irr::core::vector3df&#160;</td>
          <td class="paramname"><em>vect</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert to irrlicht coordinates. </p>
<p>irrlicht is left handed and as a different scale</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vect</td><td>vector in simulator coordinates</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>vector in irrlicht coordinates </dd></dl>

</div>
</div>
<a class="anchor" id="ad951195fb04b21b2367f37b3699afa51"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">irr::core::vector3df flair::simulator::ToIrrlichtCoordinates </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">core::Vector3D</a>&lt; T &gt;&#160;</td>
          <td class="paramname"><em>vect</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert to irrlicht coordinates. </p>
<p>irrlicht is left handed and as a different scale</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vect</td><td>vector in simulator coordinates</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>vector in irrlicht coordinates </dd></dl>

</div>
</div>
<a class="anchor" id="ae51687a32b0d25175f0c849f1bf84db1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">core::Vector3Df</a> flair::simulator::ToSimulatorCoordinates </td>
          <td>(</td>
          <td class="paramtype">irr::core::vector3df&#160;</td>
          <td class="paramname"><em>vect</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert to simulator coordinates. </p>
<p>irrlicht is left handed and as a different scale</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vect</td><td>vector in irrlicht coordinates</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>vector in simulator coordinates </dd></dl>

</div>
</div>
<a class="anchor" id="afaa0173b3c906e2841e92a151e5219e3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_quaternion.html">core::Quaternion</a> flair::simulator::ToIrrlichtOrientation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_quaternion.html">core::Quaternion</a>&#160;</td>
          <td class="paramname"><em>quat</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert to irrlicht orientation. </p>
<p>irrlicht is left handed</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">quat</td><td>quaternion in simulator frame</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>quaternion in irrlicht frame </dd></dl>

</div>
</div>
<a class="anchor" id="a9739213d82cf7ff924a6ef218490c564"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1simulator_1_1_simulator.html">Simulator</a>* flair::simulator::getSimulator </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>get <a class="el" href="classflair_1_1simulator_1_1_simulator.html">Simulator</a> </p>
<dl class="section return"><dt>Returns</dt><dd>the <a class="el" href="classflair_1_1simulator_1_1_simulator.html">Simulator</a> </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1simulator.html">simulator</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
